use warnings;
use strict;
use Test::More tests => 7;
use Test::Exception;

use POWER::Utils;


my ($TempFile, $ret, $in, $out, @in, @out);

$TempFile = "tmp.dat";

throws_ok { Echo($TempFile) }           qr/usage: Echo/;

throws_ok { Echo("<$TempFile") }        qr/usage: Echo/;

@in     = ();
throws_ok { Echo(">$TempFile", @in) }   qr/usage: Echo/;

@in     = ("line1", "line2", "line3");
Echo(">$TempFile", @in);
@out    = Cat($TempFile);
is(@out, 3,                 "lines without CR, check count");
$in     = join "", map {"$_\n"} @in;
$out    = join "", @out;
is($in, $out,               "lines without CR, check content");

@in     = ("line1", "line2\n", "line3");
Echo(">$TempFile", @in);
@out    = Cat($TempFile);
is(@out, 2,                 "lines with CR, check count");
$in     = join "", @in;
$out    = join "", @out;
is($in, $out,               "lines with CR, check content");

unlink $TempFile;

